package com.fzm.mall.server.front.user.service;

import com.fzm.mall.server.front.user.model.*;
import com.baomidou.mybatisplus.extension.service.IService;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 用户信息表 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-01-27
 */
public interface IUserService extends IService<User> {
    User getByUid(String uid);

    User getByAddress(String address);

    public User getAccount(String account);

    public int register(String account ,String registerCode,String area);

    public User getByToken(String token);

    List<Province> getProvinceList();

    List<City> getCityList(Long code);

    List<County> getCounty(Long code);

    List<Street> getStreet(Long code);

    void setPayPassword(String uid, String sha256String);

    Integer getInviteCount(String inviteCode);
}
